<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class NasWebfigDevice extends Model
{
    protected $guarded = ['id'];

    protected $hidden = ['password'];

    protected function casts(): array
    {
        return ['password' => 'encrypted'];
    }

    public function tenant()
    {
        return $this->belongsTo(Tenant::class);
    }
}
